Subject: [PATCH 7/8] ARM: OMAP: Remove plat/io.h by moving it into mach/io.h

From: [email-masked] (Tony Lindgren)
Date: Wed, 29 Feb 2012 20:54:14 -0800

* Rob Herring <[email-masked]> [120229 19:22]:
> On 02/29/2012 09:46 PM, Tony Lindgren wrote:
> > * Rob Herring <[email-masked]> [120229 19:02]:
> >> On 02/29/2012 07:03 PM, Tony Lindgren wrote:
> >>>
> >>> Rob, I assume you'll apply this into your branch?
> >>>
> >>
> >> Yes
> > 
> > OK
> >  
> >>> --- a/arch/arm/plat-omap/include/plat/sdrc.h
> >>> +++ b/arch/arm/plat-omap/include/plat/sdrc.h
> >>> @@ -16,8 +16,6 @@
> >>>   * published by the Free Software Foundation.
> >>>   */
> >>>  
> >>> -#include <mach/io.h>
> >>> -
> >>
> >> I added iomap.h here as there are macros in the header from it.
> > 
> > Hmm, did you get some compile error? I though all code
> > using sdrc.h already has iomap.h included. This file
> > should eventually be local to mach-omap2.
> > 
> 
> No, just examined the file. If it compiles, either way is fine with me.

OK let's leave it out then as it simplifies further clean up.
I tested it with omap1_defconfig and omap2plus_defconfig,
will also run some randconfigs with it.

Regards,

Tony